#include<allegro.h>
#include "error.h"

void gen_error(int err)
{
 gen_error(err,"");
}

void gen_error(int err,char *str)
{
 set_gfx_mode(GFX_TEXT,0,0,0,0);
 switch(err)
 {
  case ERR_ABORT:
   allegro_message("User abort!\n");
   break;
  case ERR_MEMORY:
   allegro_message("Out of memory!\n");
   break;
  case ERR_FILE:
   allegro_message("Error loading file '%s'",str);
   break;
  default:
   break;
 }
 allegro_exit();
 exit(err);
}
